Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::ModbusSensor Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::ModbusSensor:

## Public Attributes

ModbusCfg::ModbusFunction | function
| Modbus function to be used.
int | regAddr
| Modbus server register address.
Public Attributes inherited from peripheral::GatewaySensorManager::Sensor
string | sensorId
| Unique sensor id, is automatically generated if not set.
boolean | disabled
| Set disabled = true prevents any usage of the specification.
string | deviceId
| remote device id
string | classId
| sensor class id
string | encodingId
| sensor encoding id
string | defaultName
| sensor name
string | defaultDescription
| sensor description
string | defaultLocationX
| sensor location X coordinate
string | defaultLocationY
| sensor location Y coordinate
string | defaultLocationZ
| sensor location Z coordinate

## Detailed Description

Definition at line 663 of file GatewaySensorManager.idl.

## Member Data Documentation

## function

ModbusCfg::ModbusFunction peripheral::GatewaySensorManager::ModbusSensor::function

Modbus function to be used.

Definition at line 664 of file GatewaySensorManager.idl.

## regAddr

int peripheral::GatewaySensorManager::ModbusSensor::regAddr

Modbus server register address.

Definition at line 665 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl